import { Module } from '@nestjs/common';
import { NotificationGateway } from './notifications.gateway';
import { NotificationEntity } from './notification.entity';
import { TypeOrmModule } from '@nestjs/typeorm';

@Module({
  imports: [TypeOrmModule.forFeature([NotificationEntity])],
  providers: [NotificationGateway],
  exports: [NotificationGateway],
})
export class NotificationModule {}
