import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { UserController } from './user.controller';
import { UserService } from './user.service';
import { PersonEntity} from './user.entity';
import { GameEntity } from '../game/game.entity';

@Module({
  imports: [TypeOrmModule.forFeature([PersonEntity, GameEntity])],
  controllers: [UserController],
  providers: [UserService],
})
export class UserModule {}
