import { IsString, IsJSON } from 'class-validator';
/*
DTO: MapMarker
- represents servers data handling.
*/


export class MapMarkerDTO {
    @IsString()
    type:string;
    @IsString()
    latitude: string;
    @IsString()
    longitude: string;
    @IsString()
    timestamp: string;    
    @IsJSON()
    features: JSON;
}