import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  Timestamp,
  ManyToOne,
} from 'typeorm';

import { PersonEntity } from '../user/user.entity';
import { GameEntity, Game_PersonEntity } from 'src/game/game.entity';

/*
  Entity: MapMarker 
  - represents data that database contains on mapmarker
  */

/* @Entity('MapMarker')
  export class MapMarkerEntity {
    @PrimaryGeneratedColumn('uuid') id: string;
    @Column({ type: 'text', nullable: true }) latitude: string;
    @Column({ type: 'text', nullable: true }) longitude: string;
    @Column({ type: 'timestamp' }) timestamp: Timestamp;
    @Column({ type: 'json', nullable: true }) features: JSON;
    @ManyToOne(type => Game_PersonEntity, player => player.markers)
    player: Game_PersonEntity;
  }
  */
