import { Entity, PrimaryGeneratedColumn, Column, CreateDateColumn } from "typeorm";

// temporary table for warning notifications
@Entity('Notifications')
export class NotificationEntity {
    @PrimaryGeneratedColumn('uuid') id: string;
    @Column({type: 'text'}) message: string;
    @CreateDateColumn() issued: Date;
    // TODO:
    // when game creation has been implemented, add logic so that the notifications are tied to games
}